package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.TeacherAttendance;
import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.SignInStatusEnum;
import com.ym.mec.biz.dal.enums.SignOutStatusEnum;
import com.ym.mec.biz.dal.enums.TeachTypeEnum;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TeacherAttendancesDto {

    @ApiModelProperty(value = "老师名",required = false)
	private String teacherName;

    private TeachTypeEnum teacherRole;
    
    private TeacherAttendance teacherAttendance = new TeacherAttendance();

    @ApiModelProperty(value = "分部名",required = false)
	private String organName;

    @ApiModelProperty(value = "教师编号",required = false)
    private Integer teacherId;

    @ApiModelProperty(value = "课程编号",required = false)
    private Long courseScheduleId;

    @ApiModelProperty(value = "课程名",required = false)
    private String courseScheduleName;

    @ApiModelProperty(value = "课程状态",required = false)
    private CourseStatusEnum courseScheduleStatus;

    @ApiModelProperty(value = "上课日期",required = false)
    private String classDate;

    @ApiModelProperty(value = "上课时间",required = false)
    private String startClassTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private String endClassTime;

    @ApiModelProperty(value = "课程类型",required = false)
    private CourseSchedule.CourseScheduleType courseScheduleType;

    @ApiModelProperty(value = "签到状态(1正常签到，0异常签到) ",required = false)
    private SignInStatusEnum signInStatus;

    /** 状态(正常签到，异常签到) */
    @ApiModelProperty(value = "签退状态(1正常签到，0异常签到) ",required = false)
    private SignOutStatusEnum signOutStatus;

    private String schoolLongitudeLatitude;

    private String signInLongitudeLatitude;

    private String signOutLongitudeLatitude;

    /** 备注 */
    @ApiModelProperty(value = "备注",required = false)
    private String remark;

    @ApiModelProperty(value = "签到时间",required = false)
    private Date signInTime;

    @ApiModelProperty(value = "签退时间",required = false)
    private Date signOutTime;

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getCourseScheduleName() {
        return courseScheduleName;
    }

    public void setCourseScheduleName(String courseScheduleName) {
        this.courseScheduleName = courseScheduleName;
    }

    public TeachTypeEnum getTeacherRole() {
        return teacherRole;
    }

    public void setTeacherRole(TeachTypeEnum teacherRole) {
        this.teacherRole = teacherRole;
    }

    public String getSchoolLongitudeLatitude() {
        return schoolLongitudeLatitude;
    }

    public void setSchoolLongitudeLatitude(String schoolLongitudeLatitude) {
        this.schoolLongitudeLatitude = schoolLongitudeLatitude;
    }

    public String getSignInLongitudeLatitude() {
        return signInLongitudeLatitude;
    }

    public void setSignInLongitudeLatitude(String signInLongitudeLatitude) {
        this.signInLongitudeLatitude = signInLongitudeLatitude;
    }

    public String getSignOutLongitudeLatitude() {
        return signOutLongitudeLatitude;
    }

    public void setSignOutLongitudeLatitude(String signOutLongitudeLatitude) {
        this.signOutLongitudeLatitude = signOutLongitudeLatitude;
    }

    public CourseStatusEnum getCourseScheduleStatus() {
        return courseScheduleStatus;
    }

    public void setCourseScheduleStatus(CourseStatusEnum courseScheduleStatus) {
        this.courseScheduleStatus = courseScheduleStatus;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(String endClassTime) {
        this.endClassTime = endClassTime;
    }

    public CourseSchedule.CourseScheduleType getCourseScheduleType() {
        return courseScheduleType;
    }

    public void setCourseScheduleType(CourseSchedule.CourseScheduleType courseScheduleType) {
        this.courseScheduleType = courseScheduleType;
    }

    public SignInStatusEnum getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(SignInStatusEnum signInStatus) {
        this.signInStatus = signInStatus;
    }

    public SignOutStatusEnum getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(SignOutStatusEnum signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(Date signInTime) {
        this.signInTime = signInTime;
    }

    public Date getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(Date signOutTime) {
        this.signOutTime = signOutTime;
    }

	public TeacherAttendance getTeacherAttendance() {
		return teacherAttendance;
	}

	public void setTeacherAttendance(TeacherAttendance teacherAttendance) {
		this.teacherAttendance = teacherAttendance;
	}
}
